| Home | Libraries | People | FAQ | More

## Struct template reference_accumulator_impl

boost::accumulators::impl::reference_accumulator_impl

## Synopsis

    // In header: <boost/accumulators/framework/accumulators/reference_accumulator.hpp>

    template<typename Referent, typename Tag>
    struct reference_accumulator_impl :
      public boost::accumulators::accumulator_base
    {
      // types
      typedef Referent & result_type;

      // construct/copy/destruct
      template<typename Args> reference_accumulator_impl(Args const &);

      // public member functions
      result_type result(dont_care) const;
    };

## Description

### `reference_accumulator_impl` public construct/copy/destruct

1.     template<typename Args> reference_accumulator_impl(Args const & args);

### `reference_accumulator_impl` public member functions

1.     result_type result(dont_care) const;